All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.servlet.tbeans.menubar.html
Class MenuBar

    com.sas.servlet.tbeans.menubar.html.MenuBar

All Implemented Interfaces:
  com.sas.beans.PropertyChangeSource, com.sas.lang.ObjectDataInterface, ComplexStyleInterface, MenuBarStyleAreaKeysInterface, RenderableInterface, TemplateInterface, com.sas.servlet.tbeans.TemplateKeyInterface, TransformationInterface, com.sas.util.WriteToPrintWriterInterface, java.io.Serializable

Deprecated. As of release 9.2, replaced by SimpleMenuBar

    public class MenuBar

The MenuBar is a TransformationBean™ that generates the appropriate HTML 4.0 and JavaScript for creating a MenuBar. The MenuBar TransformationBean™ contains Menus which contain MenuItems. The MenuBar can be horizontally or vertically oriented. The default orientation is horizontal. A MenuBar can have a type of DROP_HOVER, DROP_CLICK or NAVIGATION.

The MenuBar is one of several TransformationBeans™ that rely on a set of style classes that are used by default when generating the resulting markup language. For more information on style sheets and the default style classes that apply to this TransformationBean™, refer to the AppDev Studio Developer Site. You'll find a useful reference document entitled Cascading Style Sheets, Images, and TransformationBeans™ as well as the TransformationBeans™ Style Sheet Reference.

The MenuBar is one of several TransformationBeans™ that rely on JavaScript to provide some of its functionality. These JavaScript files are including automatically by the tbean. See JavaScriptIncludeHandler for more information about how these files are included and how to customize this behavior. The MenuBar uses the following JavaScript files:

  sas_menubar.js

Note that the toString() method on this class calls the `write` method, which may have undesirable side effects. See BaseTransformation.toString() for more information. Debuggers often use toString() to show the value of a variable, and this may cause unexpected behavior while debugging

For More Information:

Visit the AppDev Studio Developer's Site to access step-by-step examples, white papers and additional usage information at http://support.sas.com/rnd/appdev/.

Examples for this class may be found on the Examples Site.

JSP custom tags provide an alternative to using the TransformationBeans™. Visit the Custom Tag Library Reference for additional information on the sas:MenuBar custom tag.

Note: A snapshot of the AppDev Studio Developers Site is installed on your local Web server when you install AppDev Studio. To access the site from webAF, select Help -> Developer Site .

See Also:
  `Menu`, `MenuItem`, `SelectorMenuItem`, Serialized Form

Field Summary

Fields inherited from class com.sas.servlet.tbeans.menubar.html.BaseHTMLMenuBar
`BANNER_GLOBALMENU_LOOK, DEFAULT_LOOK`

Fields inherited from class com.sas.servlet.tbeans.menubar.BaseMenuBar
`DROP_CLICK, DROP_HOVER, menuCounter, NAVIGATION, SELECTOR_EXPAND, SELECTOR_EXTERNAL`

Fields inherited from interface com.sas.servlet.tbeans.menubar.html.MenuBarStyleAreaKeysInterface
`MENU, MENU_DISABLED, MENU_DIVIDER, MENU_ITEM, MENU_ITEM_ARROW, MENU_ITEM_CONTAINER, MENU_ITEM_DISABLED, MENU_ITEM_DIVIDER, MENU_ITEM_LINK, MENU_ITEM_LINK_DISABLED, MENU_LINK, MENU_LINK_DISABLED, MENUBAR_CONTAINER`

Constructor Summary
`MenuBar()` Deprecated. Constructor of MenuBar
`MenuBar(javax.servlet.http.HttpServletRequest request)` Deprecated. Constructor of MenuBar
`MenuBar(java.lang.String name)` Deprecated. Constructor of MenuBar
`MenuBar(java.lang.String name, javax.servlet.http.HttpServletRequest request)` Deprecated. Constructor of MenuBar

Method Summary
`void` | `write(java.io.PrintWriter out)` Deprecated. Writes the MenuBar.

Methods inherited from class com.sas.servlet.tbeans.menubar.html.BaseHTMLMenuBar
`addSeparator, addSeparator, getStyleMap, setStyleMap`

Methods inherited from class com.sas.servlet.tbeans.menubar.BaseMenuBar
`add, add, getBorderWidth, getCellPadding, getCellSpacing, getDefaultTemplate, getFirstTabIndex, getHeight, getHeightPercentage, getHorizontalOrientation, getLastTabIndex, getMenuCount, getMenus, getMenuType, getModel, getNumberOfMenuItems, getSeparator, getSeparatorImage, getStyleClassPrefix, getTarget, getTemplate, getTemplateDictionary, getTemplateFileName, getTemplateLocation, getWidth, getWidthPercentage, setBorderWidth, setCellPadding, setCellSpacing, setFirstTabIndex, setHeight, setHeightPercentage, setHorizontalOrientation, setMenuType, setModel, setSeparator, setSeparatorImage, setStyleClassPrefix, setTarget, setTemplate, setTemplate, setTemplate, setTemplateDictionary, setTemplateFileName, setTemplateLocation, setWidth, setWidthPercentage`

Methods inherited from class com.sas.servlet.tbeans.BaseTransformation
`addPropertyChangeListener, addPropertyChangeListener, cleanUpResources, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getCustomAttributes, getDescription, getId, getInputTransform, getLocale, getName, getObjectData, getObjectDataProperty, getOutputTransform, getRequest, getResponse, getTagEpilog, getTagProlog, hasListeners, isCleanUpResourcesOn, isVisible, removePropertyChangeListener, removePropertyChangeListener, setCleanUpResourcesOn, setCustomAttributes, setDescription, setId, setInputTransform, setLocale, setLocaleDependentProperties, setName, setObjectData, setObjectDataProperty, setOutputTransform, setRequest, setResponse, setTagEpilog, setTagProlog, setVisible, toString, write, write, write`

Constructor Detail

### MenuBar

    public MenuBar()

  Deprecated.
  Constructor of MenuBar

### MenuBar

    public MenuBar(java.lang.String name)

  Deprecated.
  Constructor of MenuBar

  Parameters:
    `name` - the name of the MenuBar object

### MenuBar

    public MenuBar(java.lang.String name,
                   javax.servlet.http.HttpServletRequest request)

  Deprecated.
  Constructor of MenuBar

  Parameters:
    `name` - the name of the MenuBar object
    `request` - the request object

### MenuBar

    public MenuBar(javax.servlet.http.HttpServletRequest request)

  Deprecated.
  Constructor of MenuBar

  Parameters:
    `request` - the request object

Method Detail

### write

    public void write(java.io.PrintWriter out)
               throws java.io.IOException

  Deprecated.
  Writes the MenuBar. This method calls the cleanUpResources method at the end to reset the `request` and `response` back to null.

  Specified by:
    `write` in interface `TransformationInterface`
  Specified by:
    `write` in interface `com.sas.util.WriteToPrintWriterInterface`
  Overrides:
    `write` in class `BaseTransformation`
  Parameters:
    `out` - The PrintWriter object
  Throws:
    `java.io.IOException` - Thrown if some type of I/O error occurs

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.